# Generated by rust2rpm 21
# missing dependencies
%bcond_with check

%global crate half

Name:           rust-%{crate}
Version:        1.8.2
Release:        %mkrel 3
Summary:        Half-precision floating point f16 and bf16 types for Rust
Group:          Development/Other

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/half
Source:         %{crates_source}
# Initial patched metadata
# * drop unused zerocopy feature (missing dependencies)
# * drop unused benchmark-only criterion dependency to speed up builds
Patch0:         half-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
BuildArch:      noarch

BuildRequires:  rust-packaging >= 21
%if %{with check}
BuildRequires:  crate(quickcheck/default) >= 1.0.0
BuildRequires:  crate(quickcheck_macros/default) >= 1.0.0
BuildRequires:  crate(rand/default) >= 0.8.4
%endif

%global _description %{expand:
Half-precision floating point f16 and bf16 types for Rust implementing the IEEE
754-2008 standard binary16 and bfloat16 types.}

%description %{_description}

%package        devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE LICENSES/MIT.txt LICENSES/Apache-2.0.txt
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages
which use "alloc" feature of "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+bytemuck-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+bytemuck-devel %{_description}

This package contains library source intended for building other packages
which use "bytemuck" feature of "%{crate}" crate.

%files       -n %{name}+bytemuck-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+num-traits-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+num-traits-devel %{_description}

This package contains library source intended for building other packages
which use "num-traits" feature of "%{crate}" crate.

%files       -n %{name}+num-traits-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serialize-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+serialize-devel %{_description}

This package contains library source intended for building other packages
which use "serialize" feature of "%{crate}" crate.

%files       -n %{name}+serialize-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+use-intrinsics-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+use-intrinsics-devel %{_description}

This package contains library source intended for building other packages
which use "use-intrinsics" feature of "%{crate}" crate.

%files       -n %{name}+use-intrinsics-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Fri Jun 24 2022 papoteur <papoteur> 1.8.2-3.mga9
+ Revision: 1865850
- Mass Rebuild for dependencies

* Mon Mar 21 2022 umeabot <umeabot> 1.8.2-2.mga9
+ Revision: 1816480
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 guillomovitch <guillomovitch> 1.8.2-1.mga9
+ Revision: 1786574
- imported package rust-half


* Mon Feb 28 2022 Guillaume Rousse <guillomovitch@gmail.com> - 1.8.2-1
- Initial package
